import request from '../utils/request'

const api = {
  Account: '/Power/Account',
  GetChangeRecord: '/Power/GetChangeRecord',
  GetPowerData: '/Power/GetPowerData'
}

export function getPowerData(parameter) {
  return request({
    url: api.GetPowerData,
    method: 'post',
    data: parameter
  })
}

export function getChangeRecord(parameter) {
  return request({
    url: api.GetChangeRecord,
    method: 'post',
    data: parameter
  })
}

export function addAccount(parameter) {
  return request({
    url: api.Account,
    method: 'post',
    data: parameter
  })
}

export function deleteAccount(parameter) {
  return request({
    url: api.Account,
    method: 'delete',
    data: parameter
  })
}

export function getAccount(parameter) {
  return request({
    url: api.Account,
    method: 'get',
    params: parameter
  })
}
